Resend a recipient address verification challenge
curl --request POST \
--url https://api-sandbox.circle.com/v1/addresses/recipient/{id}/verification/resend \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/addresses/recipient/{id}/verification/resend"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/addresses/recipient/{id}/verification/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"destinationAddress": "0x8f3b2c1a9d4e4f6ab7c81e2d3f4a5b6c7d8e9f01",
"paymentId": "<string>",
"amount": {
"amount": "0.42",
"currency": "USD"
},
"status": "active"
}
}{
"code": 2,
"message": "API parameter invalid."
}{
"code": 4,
"message": "Unauthorized."
}{
"code": 404,
"message": "Not found."
}{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}Resend a recipient address verification challenge
Recreates a satoshi-test verification challenge for a self-hosted recipient address that is pending verification.
POST
/
v1
/
addresses
/
recipient
/
{id}
/
verification
/
resend
Resend a recipient address verification challenge
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
Example:
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Response
Successfully created a fresh verification challenge.
Verification challenge for a self-hosted recipient address.
Show child attributes
Show child attributes
Was this page helpful?